Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IMouseListener.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IMouseListener.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IMouseListener.cs	(revision 4068)
@@ -1,44 +1,39 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Describes the three fundamental methods of a mouse handler object.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public interface IMouseListener : IInteraction {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Describes the three fundamental methods of a mouse handler object.
+    /// Handles the mouse-down event.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public interface IMouseListener : IInteraction
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse-down event.
-        /// </summary>
-        /// <param name="e">The <see cref=
-        /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing the 
-        /// event data.</param>
-        // ------------------------------------------------------------------
-        bool MouseDown(MouseEventArgs e);
+    /// <param name="e">The <see cref=
+    /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing the 
+    /// event data.</param>
+    // ------------------------------------------------------------------
+    bool MouseDown(MouseEventArgs e);
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse-move event.
-        /// </summary>
-        /// <param name="e">The <see cref=
-        /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing the 
-        /// event data.</param>
-        // ------------------------------------------------------------------
-        void MouseMove(MouseEventArgs e);
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse-move event.
+    /// </summary>
+    /// <param name="e">The <see cref=
+    /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing the 
+    /// event data.</param>
+    // ------------------------------------------------------------------
+    void MouseMove(MouseEventArgs e);
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse-up event.
-        /// </summary>
-        /// <param name="e">The <see cref=
-        /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing the 
-        /// event data.</param>
-        // ------------------------------------------------------------------
-        void MouseUp(MouseEventArgs e);
-    }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse-up event.
+    /// </summary>
+    /// <param name="e">The <see cref=
+    /// "T:System.Windows.Forms.MouseEventArgs"/> instance containing the 
+    /// event data.</param>
+    // ------------------------------------------------------------------
+    void MouseUp(MouseEventArgs e);
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPage.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPage.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPage.cs	(revision 4068)
@@ -1,193 +1,178 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The interface of a page
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public interface IPage {
+    #region Events
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The interface of a page
+    /// Occurs when an entity is added.
+    /// <remarks>This event usually is bubbled from one of the 
+    /// layers</remarks>
     /// </summary>
-    // ----------------------------------------------------------------------
-    public interface IPage
-    {
-        #region Events
+    // ------------------------------------------------------------------
+    event EventHandler<EntityEventArgs> OnEntityAdded;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when an entity is added.
-        /// <remarks>This event usually is bubbled from one of the 
-        /// layers</remarks>
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<EntityEventArgs> OnEntityAdded;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when an entity is removed.
+    /// <remarks>This event usually is bubbled from one of the 
+    /// layers</remarks>
+    /// </summary>
+    // ------------------------------------------------------------------
+    event EventHandler<EntityEventArgs> OnEntityRemoved;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when an entity is removed.
-        /// <remarks>This event usually is bubbled from one of the 
-        /// layers</remarks>
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<EntityEventArgs> OnEntityRemoved;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the page is cleared
+    /// </summary>
+    // ------------------------------------------------------------------
+    event EventHandler OnClear;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the page is cleared
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler OnClear;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the Ambience has changed
+    /// </summary>
+    // ------------------------------------------------------------------
+    event EventHandler<AmbienceEventArgs> OnAmbienceChanged;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the Ambience has changed
-        /// </summary>
-        // ------------------------------------------------------------------
-        event EventHandler<AmbienceEventArgs> OnAmbienceChanged;
+    #endregion
 
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the Name of this page.
+    /// </summary>
+    // ------------------------------------------------------------------
+    string Name {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the Name of this page.
-        /// </summary>
-        // ------------------------------------------------------------------
-        string Name
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets all the connections in the page.
+    /// </summary>
+    // ------------------------------------------------------------------
+    CollectionBase<IConnection> Connections {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets all the connections in the page.
-        /// </summary>
-        // ------------------------------------------------------------------
-        CollectionBase<IConnection> Connections 
-        { 
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets all entities in this page.
+    /// </summary>
+    // ------------------------------------------------------------------
+    CollectionBase<IDiagramEntity> Entities {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets all entities in this page.
-        /// </summary>
-        // ------------------------------------------------------------------
-        CollectionBase<IDiagramEntity> Entities
-        {
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets all shapes in this page.
+    /// </summary>
+    // ------------------------------------------------------------------
+    CollectionBase<IShape> Shapes {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets all shapes in this page.
-        /// </summary>
-        // ------------------------------------------------------------------
-        CollectionBase<IShape> Shapes 
-        { 
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the layers.
+    /// </summary>
+    /// <value>The layers.</value>
+    // ------------------------------------------------------------------
+    CollectionBase<ILayer> Layers {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the layers.
-        /// </summary>
-        /// <value>The layers.</value>
-        // ------------------------------------------------------------------
-        CollectionBase<ILayer> Layers 
-        { 
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the default layer.
+    /// </summary>
+    /// <value>The default layer.</value>
+    // ------------------------------------------------------------------
+    ILayer DefaultLayer {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the default layer.
-        /// </summary>
-        /// <value>The default layer.</value>
-        // ------------------------------------------------------------------
-        ILayer DefaultLayer 
-        { 
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the ambience.
+    /// </summary>
+    /// <value>The ambience.</value>
+    // ------------------------------------------------------------------
+    Ambience Ambience {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the ambience.
-        /// </summary>
-        /// <value>The ambience.</value>
-        // ------------------------------------------------------------------
-        Ambience Ambience 
-        { 
-            get;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets a reference to the model
+    /// </summary>
+    // ------------------------------------------------------------------
+    IModel Model {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets a reference to the model
-        /// </summary>
-        // ------------------------------------------------------------------
-        IModel Model
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the scaling factor of this page.
+    /// </summary>
+    // ------------------------------------------------------------------
+    SizeF Magnification {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the scaling factor of this page.
-        /// </summary>
-        // ------------------------------------------------------------------
-        SizeF Magnification
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the origin of this page.
+    /// </summary>
+    // ------------------------------------------------------------------
+    Point Origin {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the origin of this page.
-        /// </summary>
-        // ------------------------------------------------------------------
-        Point Origin
-        {
-            get;
-            set;
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the page bounds, taking into account landscape and page
+    /// settings (for printing).
+    /// </summary>
+    // ------------------------------------------------------------------
+    RectangleF Bounds {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the page bounds, taking into account landscape and page
-        /// settings (for printing).
-        /// </summary>
-        // ------------------------------------------------------------------
-        RectangleF Bounds
-        {
-            get;
-        }
+    #endregion
 
-        #endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the layer that has the entity specified.  If the entity
+    /// specified could not be found, 'null' is returned.
+    /// </summary>
+    /// <param name="entity">IDiagramEntity</param>
+    /// <returns>ILayer</returns>
+    // ------------------------------------------------------------------
+    ILayer GetLayer(IDiagramEntity entity);
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the layer that has the entity specified.  If the entity
-        /// specified could not be found, 'null' is returned.
-        /// </summary>
-        /// <param name="entity">IDiagramEntity</param>
-        /// <returns>ILayer</returns>
-        // ------------------------------------------------------------------
-        ILayer GetLayer(IDiagramEntity entity);
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Paints the page to the drawing surface specified.
+    /// </summary>
+    /// <param name="g">Graphics</param>
+    /// <param name="showGrid">bool</param>
+    // ------------------------------------------------------------------
+    void Paint(Graphics g, bool showGrid);
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Paints the page to the drawing surface specified.
-        /// </summary>
-        /// <param name="g">Graphics</param>
-        /// <param name="showGrid">bool</param>
-        // ------------------------------------------------------------------
-        void Paint(Graphics g, bool showGrid);
-        
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPaintStyle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPaintStyle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPaintStyle.cs	(revision 4068)
@@ -1,30 +1,24 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-using System.Drawing.Drawing2D;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Defines a custom painting style.
+  /// </summary>
+  public interface IPaintStyle {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Defines a custom painting style.
+    /// Occurs when this paint style is changed.
     /// </summary>
-    public interface IPaintStyle
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when this paint style is changed.
-        /// </summary>
-        // ------------------------------------------------------------------
-        event PaintStyleChangedEventHandler PaintStyleChanged;
+    // ------------------------------------------------------------------
+    event PaintStyleChangedEventHandler PaintStyleChanged;
 
-        /// <summary>
-        /// Gets the brush with which an entity can be painted.
-        /// </summary>
-        /// <param name="rectangle">The rectangle.</param>
-        /// <returns></returns>
-        Brush GetBrush(Rectangle rectangle);
-        
-    }
+    /// <summary>
+    /// Gets the brush with which an entity can be painted.
+    /// </summary>
+    /// <param name="rectangle">The rectangle.</param>
+    /// <returns></returns>
+    Brush GetBrush(Rectangle rectangle);
 
-   
+  }
+
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPaintable.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPaintable.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IPaintable.cs	(revision 4068)
@@ -1,26 +1,20 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// The interface of something that can be painted on the canvas.
+  /// </summary>
+  public interface IPaintable {
     /// <summary>
-    /// The interface of something that can be painted on the canvas.
+    /// The bounds of the paintable entity
     /// </summary>
-    public interface IPaintable
-    {
-        /// <summary>
-        /// The bounds of the paintable entity
-        /// </summary>
-        Rectangle Rectangle
-        {
-            get;           
-        }
+    Rectangle Rectangle {
+      get;
+    }
 
-        /// <summary>
-        /// Paints the entity using the given graphics object
-        /// </summary>
-        /// <param name="g"></param>
-        void Paint(Graphics g);
-    }
+    /// <summary>
+    /// Paints the entity using the given graphics object
+    /// </summary>
+    /// <param name="g"></param>
+    void Paint(Graphics g);
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IShape.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IShape.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/IShape.cs	(revision 4068)
@@ -1,99 +1,93 @@
-using System;
 using System.Drawing;
-using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
-	/// <summary>
-	/// The interface of a shape. This interface comes in two inherited 
-    /// flavors; <see cref="ISimpleShape"/> and <see cref="IComplexShape"/>.
-	/// </summary>
-    // ----------------------------------------------------------------------
-	public interface IShape : IDiagramEntity
-	{
-		#region Events
-		
-		#endregion
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The interface of a shape. This interface comes in two inherited 
+  /// flavors; <see cref="ISimpleShape"/> and <see cref="IComplexShape"/>.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public interface IShape : IDiagramEntity {
+    #region Events
 
-		#region Properties
+    #endregion
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if the connectors are drawn.
-        /// </summary>
-        // ------------------------------------------------------------------
-        bool ShowConnectors
-        {
-            get;
-            set;
-        }
+    #region Properties
 
-        // ------------------------------------------------------------------
-		/// <summary>
-        /// Gets the connectors of the shape.
-		/// </summary>
-		/// <remarks>Connectors are defined at design time, hence the fact 
-        /// that you cannot set the connector collection.</remarks>
-        // ------------------------------------------------------------------
-        CollectionBase<IConnector> Connectors { get;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if the connectors are drawn.
+    /// </summary>
+    // ------------------------------------------------------------------
+    bool ShowConnectors {
+      get;
+      set;
+    }
 
-        // ------------------------------------------------------------------
-		/// <summary>
-        /// Gets or sets the location of the shape
-        /// </summary>
-        // ------------------------------------------------------------------
-		Point Location {get; set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the connectors of the shape.
+    /// </summary>
+    /// <remarks>Connectors are defined at design time, hence the fact 
+    /// that you cannot set the connector collection.</remarks>
+    // ------------------------------------------------------------------
+    CollectionBase<IConnector> Connectors { get; }
 
-        // ------------------------------------------------------------------
-		/// <summary>
-        /// Gets or sets the height of the shape
-        /// </summary>
-        // ------------------------------------------------------------------
-		int Height {get; set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the location of the shape
+    /// </summary>
+    // ------------------------------------------------------------------
+    Point Location { get; set; }
 
-        // ------------------------------------------------------------------
-		/// <summary>
-		/// Gets or sets the width of the shape.
-        /// </summary>
-        // ------------------------------------------------------------------
-		int Width {get; set;}
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the height of the shape
+    /// </summary>
+    // ------------------------------------------------------------------
+    int Height { get; set; }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the image for this shape when displaying in a library (i.e.
-        /// toolbox).
-        /// </summary>
-        // ------------------------------------------------------------------
-        Image LibraryImage
-        {
-            get;
-        }
-        
-		#endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the width of the shape.
+    /// </summary>
+    // ------------------------------------------------------------------
+    int Width { get; set; }
 
-        #region Methods
-        // ------------------------------------------------------------------
-		/// <summary>
-		/// Returns whether the given point hits one of the connectors of 
-        /// the bundle.
-		/// </summary>
-		/// <param name="p">a location, usually corresponds to the mouse 
-        /// location.</param>
-        /// <returns></returns>
-        // ------------------------------------------------------------------
-		IConnector HitConnector(Point p);
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the image for this shape when displaying in a library (i.e.
+    /// toolbox).
+    /// </summary>
+    // ------------------------------------------------------------------
+    Image LibraryImage {
+      get;
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Maps the shape to another rectangle, including all its sub-entities 
-        /// and materials.
-        /// </summary>
-        /// <param name="x">The x.</param>
-        /// <param name="y">The y.</param>
-        /// <param name="width">The width.</param>
-        /// <param name="height">The height.</param>
-        // ------------------------------------------------------------------
-        void Transform(int x, int y, int width, int height);
-		#endregion
-	}
+    #endregion
+
+    #region Methods
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns whether the given point hits one of the connectors of 
+    /// the bundle.
+    /// </summary>
+    /// <param name="p">a location, usually corresponds to the mouse 
+    /// location.</param>
+    /// <returns></returns>
+    // ------------------------------------------------------------------
+    IConnector HitConnector(Point p);
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Maps the shape to another rectangle, including all its sub-entities 
+    /// and materials.
+    /// </summary>
+    /// <param name="x">The x.</param>
+    /// <param name="y">The y.</param>
+    /// <param name="width">The width.</param>
+    /// <param name="height">The height.</param>
+    // ------------------------------------------------------------------
+    void Transform(int x, int y, int width, int height);
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ISimpleShape.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ISimpleShape.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ISimpleShape.cs	(revision 4068)
@@ -1,21 +1,15 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// The simple shape interface.
+  /// </summary>
+  public interface ISimpleShape : IShape {
     /// <summary>
-    /// The simple shape interface.
+    /// Gets or sets the text of the simple shape
     /// </summary>
-    public interface ISimpleShape : IShape
-    {
-        /// <summary>
-        /// Gets or sets the text of the simple shape
-        /// </summary>
-        string Text
-        {
-            get;
-            set;
-        }
+    string Text {
+      get;
+      set;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ISubsetAction.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ISubsetAction.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/Interfaces/ISubsetAction.cs	(revision 4068)
@@ -1,28 +1,23 @@
-using System;
-using System.Drawing;
-using System.Windows.Forms;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// This defines what an action is on the model.
-	/// </summary>
-	public interface ISubsetAction : IAction
-	{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This defines what an action is on the model.
+  /// </summary>
+  public interface ISubsetAction : IAction {
 
-		#region Events
+    #region Events
 
-		#endregion
+    #endregion
 
-		#region Properties
-        /// <summary>
-        /// Gets the subset.
-        /// </summary>
-        /// <value>The subset.</value>
-        CollectionBase<IDiagramEntity> Subset {get;}
-		#endregion
+    #region Properties
+    /// <summary>
+    /// Gets the subset.
+    /// </summary>
+    /// <value>The subset.</value>
+    CollectionBase<IDiagramEntity> Subset { get; }
+    #endregion
 
-		#region Methods
+    #region Methods
 
-		#endregion
-	}
+    #endregion
+  }
 }
